## gate.util
Class InvalidDatabaseException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--gate.util.GateException
                        |
                        +--gate.util.InvalidDatabaseException

All Implemented Interfaces:
  Serializable

public class InvalidDatabaseException
extends GateException

Used to signal an attempt to connect to a database in an invalid format, that is a database tha does not have the right structure (see Gate2 documentation for details on required database structure).

See Also:
  Serialized Form

Constructor Summary
`InvalidDatabaseException()`
`InvalidDatabaseException(String s)`

Methods inherited from class gate.util.GateException
`printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidDatabaseException

    public InvalidDatabaseException()

### InvalidDatabaseException

    public InvalidDatabaseException(String s)